Layer may become unselected after "paste style"

2012-08-20 10:24 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15539

Description

In the layers pane (TOC) vector layers have one line for the layer overall and then one additional line underneath for each symbol that has

been applied to the layer.  The top line has a +/- to show/hide the symbology lines.

If the symbology lines are shown, when the "Apply" or "OK" button is clicked in the layer properties dialogue, they automatically become

hidden (this is annoying if you want them to remain shown :) )

Similarly, if you right-click on a layer and choose "Paste Style", then the symbology lines become hidden.  However, in this case, if the

layers pane is full with the scroll bar visible, and it is scrolled right to the bottom, when the symbology lines become hidden, this layer also

becomes unselected, and whatever layer is now in the same place that it was on the screen becomes selected.

This is potentially dangerous if the user does not notice that a different layer has become selected.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-13 07:02 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

this seems to be fixed, at least in QGIS 2.13 master. The initial state (collapsed of expanded) of categorized/graduated layers is kept when you make some

changes in the layer properties.

Can you confirm this ?

#4 - 2015-12-13 09:29 PM - Alister Hood

Yes, seems to be fixed.

#5 - 2015-12-20 10:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
